#ifndef	_SETUPIF_H
#define	_SETUPIF_H

#ifndef	_SPDEFS_H
#	include	"spdefs.h"
#endif

typedef	struct
{
	UCHAR			bootDeviceType;
	UCHAR			bootUnitNumber;
	USHORT			memoryIntsallFlag;
	USHORT			memorySize;
	UCHAR			singleDrive;
	UCHAR			reserve_01[2];
	UCHAR			cpmgrInstallFlag;
	UCHAR			vjeInstallFlag;
	UCHAR			dmy_1;
	USHORT			ramDiskSize;
	UCHAR			reserve_02[1];
	UCHAR			reserve_03[2];
	UCHAR			fepInstallFlag;
	UCHAR			reserve_04;
	UCHAR			reserve_05[13];
	UCHAR			reserve_06[16];
	struct
	{	UCHAR	drvType;
		UCHAR	drvNo;
	} drvinf[16];
	UCHAR			printerId;
	UCHAR			printerMode;
	UCHAR			printerOption;
	UCHAR			printerReserve[2];
	UCHAR			printerType;
	UCHAR			reserve_07[10];
	UCHAR			reserve_08[2];
	struct
	{	UCHAR		baud;
		UCHAR		mode;
		USHORT		sndTimeOut;
		USHORT		rsvTimeOut;
	} rs232c[5];
	UCHAR			reserve_09[16*4+8];
} RSYSINF_T;

extern	int	ESR_setupInfo( RSYSINF_T *rsys );

#endif
